<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EmailTemplate_Edit.aspx.cs"
    Inherits="CMSSiteManager_Development_EmailTemplates_EmailTemplate_Edit" Theme="Default"
    ValidateRequest="false" EnableEventValidation="false" MasterPageFile="~/CMSMasterPages/UI/SimplePage.master"
    Title="Email template - Properties" %>

<%@ Register Src="~/CMSAdminControls/UI/PageElements/PageTitle.ascx" TagName="PageTitle"
    TagPrefix="cms" %>
<%@ Register Src="~/CMSAdminControls/MetaFiles/FileList.ascx" TagName="FileList"
    TagPrefix="cms" %>
<%@ Register Src="~/CMSAdminControls/UI/Selectors/MacroSelector.ascx" TagName="MacroSelector"
    TagPrefix="cms" %>
<asp:Content ID="cntBody" runat="server" ContentPlaceHolderID="plcContent">

    <script type="text/javascript">
        //<![CDATA[
        // Sets the location of the cursor in specified object to given position
        function SetCaretTo(obj, pos) {
            if (obj != null) {
                if (obj.createTextRange) {
                    var range = obj.createTextRange();
                    range.move('character', pos);
                    range.select();
                }
                else if (obj.selectionStart) {
                    obj.focus();
                    obj.setSelectionRange(pos, pos);
                }
            }
        }

        // Inserts the macro to caret position (in text area)
        function InsertMacroGeneral(text, obj) {
            if (obj != null) {
                if (obj.selectionStart) {
                    // Firefox
                    var start = obj.selectionStart;
                    var end = obj.selectionEnd;
                    obj.value = obj.value.substr(0, start) + text + obj.value.substr(end, obj.value.length);
                }
                else if (document.selection) {
                    // IE
                    obj.focus();
                    var orig = obj.value.replace(/\r\n/g, '\n');
                    var range = document.selection.createRange();
                    if (range.parentElement() != obj) {
                        return false;
                    }
                    range.text = text;
                    var actual = tmp = obj.value.replace(/\r\n/g, '\n');
                    for (var diff = 0; diff < orig.length; diff++) {
                        if (orig.charAt(diff) != actual.charAt(diff)) break;
                    }
                    for (var index = 0, start = 0; tmp.match(text) && (tmp = tmp.replace(text, '')) && index <= diff; index = start + text.length) {
                        start = actual.indexOf(text, index);
                    }
                }
                
                if (start != null) {
                    SetCaretTo(obj, start + text.length);
                } else {
                    obj.value += text;
                }
            }
        }
        //]]>
    </script>

    <asp:ScriptManager ID="manScript" runat="server" />
    <cms:LocalizedLabel runat="server" ID="lblInfo" CssClass="InfoLabel" EnableViewState="false"
        Visible="false" />
    <cms:LocalizedLabel runat="server" ID="lblError" CssClass="ErrorLabel" EnableViewState="false"
        Visible="false" />
    <table style="vertical-align: top; width: 100%">
        <tr>
            <td class="FieldLabel" style="width: 150px;">
                <cms:LocalizedLabel runat="server" ID="lblDisplayName" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtDisplayName" runat="server" CssClass="TextBoxField" MaxLength="200" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidatorDisplayName" runat="server"
                    EnableViewState="false" ControlToValidate="txtDisplayName" CssClass="ContentValidator"
                    Display="dynamic" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblCodeName" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtCodeName" runat="server" CssClass="TextBoxField" MaxLength="200" />
                <asp:RequiredFieldValidator ID="RequiredFieldValidatorCodeName" runat="server" EnableViewState="false"
                    ControlToValidate="txtCodeName" CssClass="ContentValidator" Display="dynamic" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblFrom" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtFrom" runat="server" CssClass="TextBoxField" MaxLength="250" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblCc" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtCc" runat="server" CssClass="TextBoxField" MaxLength="250" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblBcc" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtBcc" runat="server" CssClass="TextBoxField" MaxLength="250" />
            </td>
        </tr>
        <tr>
            <td class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblSubject" EnableViewState="false" />
            </td>
            <td>
                <asp:TextBox ID="txtSubject" runat="server" CssClass="TextBoxField" MaxLength="250" />
            </td>
        </tr>
        <tr>
            <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
                <cms:LocalizedLabel runat="server" ID="lblText" EnableViewState="false" />
            </td>
            <td>
                <cms:ExtendedTextArea ID="txtText" runat="server" TextMode="MultiLine" CssClass="TextAreaLarge"
                    Width="100%" EnablePositionMember="false" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td style="padding-top: 5px;">
                <cms:MacroSelector ID="macroSelectorElm" runat="server" JavaScripFunction="InsertMacro" />
            </td>
        </tr>
        <tr>
            <td colspan="2">
                &nbsp;
            </td>
        </tr>
        <tr>
            <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
                <cms:LocalizedLabel ID="lblTextPlain" runat="server" EnableViewState="false" />
            </td>
            <td>
                <cms:ExtendedTextArea ID="txtPlainText" runat="server" TextMode="MultiLine" CssClass="TextAreaLarge"
                    Width="100%" EnablePositionMember="false" />
            </td>
        </tr>
        <tr>
            <td>
            </td>
            <td style="padding-top: 5px;">
                <cms:MacroSelector ID="macroSelectorPlain" runat="server" JavaScripFunction="InsertMacroPlain" />
            </td>
        </tr>
    </table>
    <br />
    <cms:PageTitle ID="AttachmentTitle" runat="server" Visible="false" TitleCssClass="SubTitleHeader" />
    <br />
    <cms:FileList ID="AttachmentList" runat="server" Visible="false" />
</asp:Content>
