using System;
using System.Web.UI.WebControls;

using CMS.GlobalHelper;
using CMS.UIControls;
using CMS.CMSHelper;

public partial class CMSSiteManager_Support_leftmenu : SiteManagerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        ScriptHelper.RegisterJQuery(this.Page);

        if (CultureHelper.IsUICultureRTL())
        {
            TreeViewAdministration.LineImagesFolder = GetImageUrl("RTL/Design/Controls/Tree", false, true);
        }
        else
        {
            TreeViewAdministration.LineImagesFolder = GetImageUrl("Design/Controls/Tree", false, true);
        }
        TreeViewAdministration.ImageSet = TreeViewImageSet.Custom;

        TreeViewAdministration.Nodes.Clear();

        int siteId = QueryHelper.GetInteger("siteid", 0);
        string iconUrl = null;
        string codeName = null;
        string caption = null;

        caption = ResHelper.GetString("Support-LeftMenu.Support");
        codeName = ValidationHelper.GetCodeName(caption);
        TreeNode rootNode = new TreeNode();
        rootNode.Text = "<span id=\"node_" + codeName + "\" class=\"ContentTreeSelectedItem\" name=\"treeNode\" onclick=\"ShowDesktopContent('support.aspx', this);\"><span class=\"Name\">" + caption + "</span></span>";
        rootNode.Expanded = true;
        rootNode.NavigateUrl = "#";
        TreeViewAdministration.Nodes.Add(rootNode);

        // DevNet
        caption = ResHelper.GetString("Support-LeftMenu.DevNet");
        codeName = ValidationHelper.GetCodeName(caption);
        iconUrl = GetImageUrl("CMSModules/CMS_Support/Devnet.png");
        TreeNode newNode = new TreeNode();
        newNode.Text = "<span id=\"node_" + codeName + "\" class=\"ContentTreeItem\" name=\"treeNode\" onclick=\"ShowDesktopContent('http://www.kentico.com/DevNet.aspx', this);\"><img class=\"TreeItemImage\" src=\"" + iconUrl + "\" alt=\"\" /><span class=\"Name\">" + ResHelper.GetString("Support-LeftMenu.DevNet") + "</span></span>";
        newNode.NavigateUrl = "#";
        rootNode.ChildNodes.Add(newNode);

        // Submit issue
        caption = ResHelper.GetString("Support-LeftMenu.SubmitIssue");
        codeName = ValidationHelper.GetCodeName(caption);
        iconUrl = GetImageUrl("CMSModules/CMS_Support/SubmitIssue.png");
        newNode = new TreeNode();
        newNode.Text = "<span id=\"node_" + codeName + "\" class=\"ContentTreeItem\" name=\"treeNode\" onclick=\"ShowDesktopContent('SubmitIssue.aspx?siteid=" + siteId + "', this);\"><img class=\"TreeItemImage\" src=\"" + iconUrl + "\" alt=\"\" /><span class=\"Name\">" + caption + "</span></span>";
        newNode.NavigateUrl = "#";
        rootNode.ChildNodes.Add(newNode);

        // Documentation
        caption = ResHelper.GetString("General.Documentation");
        codeName = ValidationHelper.GetCodeName(caption);
        iconUrl = GetImageUrl("CMSModules/CMS_Support/Help.png");
        newNode = new TreeNode();
        newNode.Text = "<span id=\"node_" + codeName + "\" class=\"ContentTreeItem\" name=\"treeNode\" onclick=\"ShowDesktopContent('http://devnet.kentico.com/Documentation/" + CMSContext.SYSTEM_VERSION.Replace(".", "_") + ".aspx', this);\"><img class=\"TreeItemImage\" src=\"" + iconUrl + "\" alt=\"\" /><span class=\"Name\">" + caption + "</span></span>";
        newNode.NavigateUrl = "#";
        rootNode.ChildNodes.Add(newNode);
    }
}
